<form [formGroup]="forma" (ngSubmit)="submit" #formControl="ngForm">

  <mat-card>
    <mat-card-header>
      <mat-card-title>Parámetros</mat-card-title>
    </mat-card-header>
    <mat-card-content class="justify-content-center">

      <mat-accordion>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Texto
            </mat-panel-title>
            <mat-panel-description>
              Aquí estará el texto
            </mat-panel-description>
          </mat-expansion-panel-header>

          <mat-form-field>
            <input matInput placeholder="texto">
          </mat-form-field>

        </mat-expansion-panel>

        <mat-expansion-panel (opened)="panelOpenState = true"
                             (closed)="panelOpenState = false">
          <mat-expansion-panel-header>
            <mat-panel-title>
              Parámetro
            </mat-panel-title>
            <mat-panel-description>
              Estado del panel {{panelOpenState ? 'open' : 'closed'}}
            </mat-panel-description>
          </mat-expansion-panel-header>
          <p>Comprobando la variable panelOpenState</p>
        </mat-expansion-panel>

        <mat-expansion-panel (opened)="panelOpenState = true"
                             (closed)="panelOpenState = false">
          <mat-expansion-panel-header>
            <mat-panel-title>
              Regla
            </mat-panel-title>
            <mat-panel-description>
              Regla {{panelOpenState ? 'open' : 'closed'}}
            </mat-panel-description>
          </mat-expansion-panel-header>
          <p>Sección de Regla</p>
        </mat-expansion-panel>


      </mat-accordion>

    </mat-card-content>

    <mat-card-actions>
      <div class="row mx-md-5" style="text-align:center;">
        <div class="col px-md-5">
          <button mat-raised-button color="warm" class="custom" (click)="onNoClick()"
          type="button" mat-raised-button color="warn">Cerrar</button>
        </div>
      </div>
    </mat-card-actions>

  </mat-card>

</form>
